/*****************************************************************************
 *  FILE        : CAN841.H
 *  DATE        : 11-3-95'
 *  Version     : V1.0
 *  Description : Prototype for CAN841x.LIB
 *
 *
 *
 ******************************************************************************/

#define  BYTE  unsigned char
#define  UI    unsigned int
#define  UL    unsigned long

typedef struct {
        BYTE acc_code;
        BYTE acc_mask;
        BYTE bt0;
        BYTE bt1;
}CAN_STRUCT;

typedef struct {
        UI   id;
        BYTE rtr;
        BYTE dlen;
        BYTE data[8];
} MSG_STRUCT;

extern  int can_err_no;

/*===============  functions declaration ==========================*/
/* set can card hardware setting , if successful return 1, else return 0*/
/*----------------------------------------------------------------------
input:
   segment :set memory decode segment value, 0xC000 to 0xDF00
   irq1    : can port#1 irq number
   irq2    : can port#2 irq number
----------------------------------------------------------------------*/


int canInitHW( UI segment, BYTE irq1, BYTE irq2);

int canReleaseHW();
/* reset can controller */
int  canReset( BYTE port );

/* initiallize and configure can controller */
int  canConfig( BYTE port, CAN_STRUCT can);

/* change can controller to normal run mode */
int  canNormalRun( BYTE port );

/* send a message */
int canSendMsg( BYTE  port, MSG_STRUCT send_msg);

/* receive a message */
int  canReceiveMsg( BYTE port, MSG_STRUCT *msg_ptr);

